+================================================
+                                                
+    VectriC machine output configuration file   
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who    When       What                         
+ ======== ========== ===========================
+ ScottJ   11/11/2009 Written                      
+ MattS	   6/18/2015  fixed move speed write problem  
+ MattS	   2/18/2016  updated header
+================================================

POST_NAME = "Shopbot Indexer X-Parallel TC (inch) - 2016(*.sbp)"

FILE_EXTENSION = "sbp"

UNITS = "INCHES"

ROTARY_WRAP_Y = "yes"

+------------------------------------------------
+    Line terminating characteRS                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999

+================================================
+
+    default formating for variables
+
+================================================

VAR WRAP_DIAMETER = [WRAP_DIA|A||1.4]

+------------------------------------------------
+ Line numbering
+------------------------------------------------
VAR LINE_NUMBER = [N|A|N|1.0]

+------------------------------------------------
+ Spindle Speed
+------------------------------------------------
VAR SPINDLE_SPEED = [S|A||1.0]

+------------------------------------------------
+ Feed Rate
+------------------------------------------------

VAR CUT_RATE = [FC|A||1.2|0.0166]
VAR PLUNGE_RATE = [FP|A||1.2|0.0166]

+------------------------------------------------
+ Tool position in x,y and z
+------------------------------------------------

VAR X_POSITION = [X|A||1.6]
VAR Y_POSITION = [Y|A||1.6]
VAR Z_POSITION = [Z|A||1.6]

+------------------------------------------------
+ Home tool positions 
+------------------------------------------------
VAR X_HOME_POSITION = [XH|A||1.6]
VAR Y_HOME_POSITION = [YH|A||1.6]
VAR Z_HOME_POSITION = [ZH|A||1.6]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER

"'----------------------------------------------------------------"
"'SHOPBOT X-PARALLEL INDEXER FILE"
"'GENERATED BY V-Carve or Aspire"
"'Y-values are wrapped around X axis and output as B"
"'Units= Inches"
"'Minimum extent in X = [XMIN] Minimum extent in Z = [ZMIN]"
"'Maximum extent in X = [XMAX] Maximum extent in Z = [ZMAX]"
"'Length of material in X = [XLENGTH]"
"'Circumferance = [YLENGTH]"
"'Diameter = [WRAP_DIA] Inches" 
"'Radius = [ZLENGTH]"
"'Home Position Information = x=[XY_ORIGIN], y=[Z_ORIGIN] (does not indicate where the z is zeroed)"
"'Home X = [XH] Home Y = [YH] Home Z = [ZH]"
"'Rapid clearance gap or Safe Z = [SAFEZ]"
"IF %(25)=1 THEN GOTO UNIT_ERROR 'check to see software is set to inches"
"SA 'Set program to absolute coordinate mode"
"CN, 90"
"&PWSafeZ = [SAFEZ]"
"&PWZorigin = [Z_ORIGIN]"
"&PWMaterial = [ZLENGTH]"
"&Diameter=[WRAP_DIA]"
""
"'----------------------------------------------------------------"
"'Begin First Toolpath:"
"'Toolpath Name = [TOOLPATH_NAME]"
"'Tool Name   = [TOOLNAME]"
"&Tool =[T] 'Tool number to change to"
"C9 'Change tool"
"TR,[S] 'Set spindle RPM"			
"C6 'Spindle on"
"PAUSE 2"
"&FeedRate=[FC]"
"&PlungeRate=[FP]"
"&RotationalFeedRate=&Feedrate/(&Diameter*3.14159/360)"
"VS,&FeedRate,&PlungeRate,&PlungeRate,&RotationalFeedRate 'set feed rates for x&y,z,a,b"
"JZ,[ZH] 'Jog Z axis to safe height"


+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"J5,[X],0.0000,[Z],,[Y]"

+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"M5,[X],0.0000,[Z],,[Y]"

+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"M5,[X],0.0000,[Z],,[Y]"

+---------------------------------------------------
+  Commands output at toolchange
+---------------------------------------------------

begin TOOLCHANGE
""
"'----------------------------------------------------------------"
"'Tool Change:"
"C7"
"'Toolpath Name = [TOOLPATH_NAME]"
"'Tool Name   = [TOOLNAME]"
"&Tool=[T]"
"C9"
"TR, [S]"
"C6"
"&FeedRate=[FC]"
"&PlungeRate=[FP]"
"&RotationalFeedRate=&Feedrate/(&Diameter*3.14159/360)"
"VS,&FeedRate,&PlungeRate,&PlungeRate,&RotationalFeedRate 'set feed rates for x&y,z,a,b"

+---------------------------------------------------
+  Commands output for a new segment - toolpath
+  with same toolnumber but maybe different feedrates
+---------------------------------------------------

begin NEW_SEGMENT
""
"'----------------------------------------------------------------"
"'New Toolpath"
"TR, [S]"
"&FeedRate=[FC]"
"&PlungeRate=[FP]"
"&RotationalFeedRate=&Feedrate/(&Diameter*3.14159/360)"
"VS,&FeedRate,&PlungeRate,&PlungeRate,&RotationalFeedRate 'set feed rates for x&y,z,a,b"
"JZ,[ZH] 'Jog Z axis to safe height"

+---------------------------------------------
+                 End of file
+---------------------------------------------

begin FOOTER
""
"'----------------------------------------------------------------"
"JZ,[ZH] 'Jog Z axis to safe height"
"'Turning router OFF"
"C7"
"END"
"'"
"UNIT_ERROR:"				
"CN, 91 'Run file explaining unit error"
"END"
